/* 
 * Copyright (C) 2000 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: gui_label.h,v 1.4 2000/12/10 02:07:57 f1rmb Exp $
 *
 */

#ifndef HAVE_GUI_LABEL_H
#define HAVE_GUI_LABEL_H

#include "gui_widget.h"
#include "gui_main.h"

typedef struct label_private_data_s {
  widget_t    *lWidget;
  char         label[1024];
  int          length; /* length in char */
  gui_image_t *font;
} label_private_data_t;

widget_t *create_label (int x, int y, int length, char *label, char *bg) ;

void set_label (widget_t *l, char *str);

void paint_label (widget_t *l,  Window win, GC gc);

#endif



